Skip to main content

10) Retrieve label information by Label ID

Retrieve label information by Label ID

API

MethodURL
POST/api/getLabelById

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
labelIdrequiredstringLabel ID to query

Response

NameTypeDescription
codeint0 : Success
Other values: Error
dataJsonArrayLabel Information

Examples

Request

  • Body
{
"licenseKey": "EFB4-19136-DB9E-201B9",
"labelId" : "7d43673d-59d7-49b5-98cd-c3b80c763f93"
}

Response

  • success
{
"code": 0,
"data": {
"id": "7d43673d-59d7-49b5-98cd-c3b80c763f93",
"name": "하위레이블",
"description": "",
"color": "",
"sensitivity": 36,
"tooltip": "하위레이블 테스트",
"contentFormats": [
"file",
"email",
"site",
"unifiedgroup",
"teamwork",
"schematizeddata"
],
"autotooltip": "",
"actionsource": "MANUAL",
"customSettings": [
{
"key": "parentid",
"value": "6b166cbc-ece7-4de3-b7ed-d365419056ca"
},
{
"key": "isparent",
"value": "False"
}
],
"isActive": true,
"isAppliable": true,
"parent": {
"id": "6b166cbc-ece7-4de3-b7ed-d365419056ca",
"name": "상위레이블",
"description": "",
"color": "",
"sensitivity": 36,
"tooltip": "상위레이블 테스트",
"contentFormats": [
"file",
"email",
"site",
"unifiedgroup",
"teamwork",
"schematizeddata"
],
"parent": null,
"autotooltip": "",
"actionsource": "MANUAL",
"customSettings": [
{
"key": "isparent",
"value": "False"
}
],
"isActive": false,
"isAppliable": false
}
}
}
  • failure
  • Status code : 401 UNAUTHORIZED
{
"code": 40001,
"message": "Invalid token"
}
  • Status code : 500 INTERNAL_SERVER_ERROR
[AIP SDK 에러]
{
"code": 60001,
"message": "label ID must be a well-formed GUID: 6b166cbc-ece7-4de3-b7ed-d365419056ca11, BadInputError.Code=General, CorrelationId=8f0226ce-8ca6-4072-8ba5-3983bef8f9a7, CorrelationId.Description=PolicyEngine, BadInputError.Code=General"
}
{
"code": 60001,
"message": "com.microsoft.informationprotection.internal.gen.Error: NoAuthTokenError: Client application failed to provide authentication token for HTTP request., CorrelationId=a2d2f6b1-4265-482b-bc7d-18c88f8284bd, CorrelationId.Description=PolicyProfile"
}

[내부 서비스 에러]
{
"code": 50001,
"message": "400 : \"{\"code\":40011,\"message\":\"Unable to AzureInfo\",\"detail\":\"OpenidTenant is Empty\"}\""
}